import { TimelineReader } from '$lib/server/timeline';
import type { HandleServerError } from '@sveltejs/kit';

TimelineReader.init();

export const handleError = (({ error }) => {
  if (error instanceof Error) {
    console.error('Something went wrong: ', error.name, error.message);
  }

  return {
    message: 'Whoops!',
    code: (error as any)?.code ?? 'UNKNOWN'
  };
}) satisfies HandleServerError;